\name{Rhpc-package}
\alias{Rhpc-package}
\alias{Rhpc_initialize}
\alias{Rhpc_finalize}
\alias{Rhpc_getHandle}
\alias{Rhpc_worker_call}
\alias{Rhpc_worker_shy}
\alias{Rhpc_lapply}
\alias{Rhpc_lapplyLB}
\alias{Rhpc_numberOfWorker}
\alias{Rhpc_getMPIRank}
\alias{Rhpc_Export}
\alias{Rhpc_EvalQ}
\alias{Rhpc_setupRNG}
\alias{Rhpc_mode}
\alias{Rhpc_enquote}
\alias{Rhpc_initRNGworker}
\alias{Rhpc_splitList}

\usage{
Rhpc_initialize()
Rhpc_finalize()
Rhpc_getHandle(procs)
Rhpc_worker_call(cl, FUN, ...)
Rhpc_worker_shy(cl, FUN, ...)
Rhpc_lapply(cl, X, FUN, ...)
Rhpc_lapplyLB(cl, X, FUN, ...)
Rhpc_numberOfWorker(cl)
Rhpc_Export(cl, variableNames, envir)
Rhpc_EvalQ(cl, expr, envir)
Rhpc_setupRNG(cl, seed, ...)
}
\arguments{
  \item{cl}{external pointer to MPI communicator}
  \item{procs}{number of process, void if Rhpc}
  \item{X}{vector or list}
  \item{FUN}{string of function name or function object}
  \item{...}{arguments}
  \item{variableNames}{string vector} 
  \item{seed}{random number seed}
  \item{expr}{expression to evaluate}
  \item{envir}{where to look for the object}
}
\docType{package}
\title{
  A package for High-Performance Computing
}
\description{
  R HPC Interfaces
}
\details{
  \url{http://prs.ism.ac.jp/~nakama/Rhpc}
}
\author{
  Junji Nakano <nakanoj@ism.ac.jp> and Ei-ji Nakama<nakama@com-one.com>
  Maintainer: Ei-ji Nakama <nakama@com-one.com>
}
\keyword{utilities}
\examples{
\dontrun{
Rhpc_initialize()
cl <- Rhpc_getHandle(2)
Rhpc_worker_call(cl, Sys.getpid)
Rhpc_lapply(cl,1:10000,sqrt)
Rhpc_lapplyLB(cl,1:10000,sqrt)
Rhpc_finalize()
}
}
